/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * MissingValueException.cpp
 *
 *  Created on: Jul 23, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "MissingValueException.hpp"

using namespace std;

MissingValueException::MissingValueException(string _file, int _line) :
  CustomException(_file,_line)
{}

MissingValueException::~MissingValueException() throw ()
{}

const char* MissingValueException::what() const throw(){
  return "Value necessary for Action not present in ValueStorage";
}
